1. Account
FOMO API (v20250225)
  • Authorization
  • Webhook
  • API
    • Account
      • Retrieve an account
        GET
      • List accounts
        GET
    • Transaction
      • Retrieve a transaction
      • List transactions
    • Virtual Account
      • Retrieve a virtual account
      • List virtual accounts
    • Intent
      • Virtual Account Creation
        • Create a virtual account creation intent
        • Update travel rule (for crypto virtual account)
        • Get a virtual account creation intent
        • Confirm a virtual account creation intent
    • Balance
      • Retrieve a balance
      • List balances
    • Payment
      • Clearing Account
        • Retrieve a clearing account
        • List clearing accounts
      • Clearing Entry
        • Retrieve a clearing entry
        • List clearing entries
      • Intent
        • Clearing Entry Execution
          • Create a clearing entry execution intent
          • Update clearing account
          • Update transfers
          • Confirm a clearing entry execution intent
          • Get a clearing entry execution intent
  1. Account

Retrieve an account

Prod Env
https://prod.fomoapis.com/v1
Prod Env
https://prod.fomoapis.com/v1
GET
https://prod.fomoapis.com/v1
/accounts/{account_id}

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://prod.fomoapis.com/v1/accounts/a6bb7b20-f425-4ca8-a872-98498c90604e' \
--header 'x-fomo-api-version;'

Responses

🟢200Success
application/json
Body

Example
{
    "id": "a6bb7b20-f425-4ca8-a872-98498c90604e",
    "create_time": "2025-02-13T17:04:34.724674+08:00",
    "update_time": "2025-02-13T17:04:34.724674+08:00",
    "token": "prt7IPQlTKiocphJjJBgTg==",
    "etag": "prt7IPQlTKiocphJjJBgTgAAAAAAAAAA",
    "status": "pending",
    "customer_id": "0cbf132d-117b-4ea3-aed1-cd715d53c11d",
    "external_account": {
        "type": "crypto-account",
        "detail": {
            "network": "ethereum",
            "address": "0x96fB97f12Beb63D093f9A98d78DB314cD3a25263"
        }
    }
}
Previous
Webhook
Next
List accounts
Built with